package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ComRuleFactory
{
    private ComRuleFactory()
    {
    }
    public static com.kingdee.eas.custom.expandassess.IComRule getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IComRule)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6BD455B8") ,com.kingdee.eas.custom.expandassess.IComRule.class);
    }
    
    public static com.kingdee.eas.custom.expandassess.IComRule getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IComRule)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6BD455B8") ,com.kingdee.eas.custom.expandassess.IComRule.class, objectCtx);
    }
    public static com.kingdee.eas.custom.expandassess.IComRule getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IComRule)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6BD455B8"));
    }
    public static com.kingdee.eas.custom.expandassess.IComRule getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.IComRule)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6BD455B8"));
    }
}